# Class: Highchart

## Highchart

#### new Highchart()

The constructor.

Source:
  - Highchart.js, line 17

### Methods

- (static) areaChart(selector, seriesField, keyField, valField, options)
- (static) areaChart(options) → {*}
- (static) barChart(options) → {*}
- (static) barChart(selector, seriesField, keyField, valField, options)
- (static) columnChart(selector, seriesField, keyField, valField, options)
- (static) columnChart(options) → {*}
- (static) lineChart(selector) → {*}
- (static) lineChart(options) → {*}
- (static) lineChart(selector, seriesField, keyField, valField, options)
- (static) pieChart(options) → {*}
- (static) pieChart(selector, keyField, valField, seriesName, options)
- (static) stackedBarChart(options) → {*}
- (static) stackedBarChart(selector, seriesField, keyField, valField, options)
- drop() → {Boolean}
- pieDataFromCollectionData(data, keyField, valField) → {Array}
- seriesDataFromCollectionData(seriesField, keyField, valField, orderBy)

#### (static) areaChart(selector, seriesField, keyField, valField, options)

Chart via defined params and an options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | jQuery | The element to render the chart to.
`seriesField` | String | The name of the series to plot.
`keyField` | String | The field to use as the data key.
`valField` | String | The field to use as the data value.
`options` | Object | The options object.

Source:
  - Highchart.js, line 476

#### (static) areaChart(options) → {*}

Chart via options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | The options object.

Source:
  - Highchart.js, line 454

##### Returns:

Type
  *

#### (static) barChart(options) → {*}

Chart via options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | The options object.

Source:
  - Highchart.js, line 554

##### Returns:

Type
  *

#### (static) barChart(selector, seriesField, keyField, valField, options)

Chart via defined params and an options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | jQuery | The element to render the chart to.
`seriesField` | String | The name of the series to plot.
`keyField` | String | The field to use as the data key.
`valField` | String | The field to use as the data value.
`options` | Object | The options object.

Source:
  - Highchart.js, line 576

#### (static) columnChart(selector, seriesField, keyField, valField, options)

Chart via defined params and an options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | jQuery | The element to render the chart to.
`seriesField` | String | The name of the series to plot.
`keyField` | String | The field to use as the data key.
`valField` | String | The field to use as the data value.
`options` | Object | The options object.

Source:
  - Highchart.js, line 526

#### (static) columnChart(options) → {*}

Chart via options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | The options object.

Source:
  - Highchart.js, line 504

##### Returns:

Type
  *

#### (static) lineChart(selector) → {*}

Chart via selector.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | The chart selector.

Source:
  - Highchart.js, line 393

##### Returns:

Type
  *

#### (static) lineChart(options) → {*}

Chart via options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | The options object.

Source:
  - Highchart.js, line 404

##### Returns:

Type
  *

#### (static) lineChart(selector, seriesField, keyField, valField, options)

Chart via defined params and an options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | jQuery | The element to render the chart to.
`seriesField` | String | The name of the series to plot.
`keyField` | String | The field to use as the data key.
`valField` | String | The field to use as the data value.
`options` | Object | The options object.

Source:
  - Highchart.js, line 426

#### (static) pieChart(options) → {*}

Chart via options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | The options object.

Source:
  - Highchart.js, line 343

##### Returns:

Type
  *

#### (static) pieChart(selector, keyField, valField, seriesName, options)

Chart via defined params and an options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | jQuery | The element to render the chart to.
`keyField` | String | The field to use as the data key.
`valField` | String | The field to use as the data value.
`seriesName` | String | The name of the series to display on the chart.
`options` | Object | The options object.

Source:
  - Highchart.js, line 365

#### (static) stackedBarChart(options) → {*}

Chart via options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | The options object.

Source:
  - Highchart.js, line 604

##### Returns:

Type
  *

#### (static) stackedBarChart(selector, seriesField, keyField, valField, options)

Chart via defined params and an options object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | jQuery | The element to render the chart to.
`seriesField` | String | The name of the series to plot.
`keyField` | String | The field to use as the data key.
`valField` | String | The field to use as the data value.
`options` | Object | The options object.

Source:
  - Highchart.js, line 630

#### drop() → {Boolean}

Destroys the chart and all internal references.

Source:
  - Highchart.js, line 297

##### Returns:

Type
  Boolean

#### pieDataFromCollectionData(data, keyField, valField) → {Array}

Generate pie-chart series data from the given collection data array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` |  |
`keyField` |  |
`valField` |  |

Source:
  - Highchart.js, line 127

##### Returns:

Type
  Array

#### seriesDataFromCollectionData(seriesField, keyField, valField, orderBy)

Generate line-chart series data from the given collection data array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`seriesField` |  |
`keyField` |  |
`valField` |  |
`orderBy` |  |

Source:
  - Highchart.js, line 145